



#ifndef XCL_UTILS_H
#define XCL_UTILS_H

#define REPORT_ALL 0x01
#define STACK_ALL  0x02
#define PRINT_ALL  0x04
#define PRINT_COM  0x08
#define PRINT_END  0x10
#define STACK_END  0x20


#define STK_HDR ".= STACK ======================================================================.\n"
#define STK_FMT "| %05n : %68s |\n"
#define STK_TLR "*==============================================================================*\n"


#include <XCLE/Containers.h>

#include <XCLE/Mod_exec.h>
#include <XCLE/Mod_parse.h>
#include <XCLE/Mod_write.h>



unsigned long outprint(void * dat, char * chr, unsigned long len) ;

extern XCLE_WriteFormat outformat ;



unsigned long FileExec(char * file, unsigned long verb, XCLE_Stack stk, XCLE_Hash hsh, XCLE_ParseCtx pctx, XCLE_ExecCtx ectx) ;


unsigned long StrExec(char * str, unsigned long verb, XCLE_Stack stk, XCLE_Hash hsh, XCLE_ParseCtx pctx, XCLE_ExecCtx ectx) ;



#endif // XCL_UTILS_H


